Bug 549884 - Review Request: plexus-io - Plexus IO Components
Review Request: plexus-io - Plexus IO Components
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Orcan Ogetbil
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-22 17:08 EST by Alexander Kurtakov
Modified: 2009-12-28 02:59 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-28 02:59:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
oget.fedora: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Alexander Kurtakov 2009-12-22 17:08:45 EST
Spec URL: http://akurtakov.fedorapeople.org/plexus-io.spec
SRPM URL: http://akurtakov.fedorapeople.org/plexus-io-1.0-0.1.a5.1.fc12.src.rpm
Description: Plexus IO is a set of plexus components, which are designed for use
in I/O operations.
Comment 1 Orcan Ogetbil 2009-12-23 08:54:25 EST
I made a full review. Here are my comments, questions etc:

* Package does not build in mock. It pulls gcj. We want openjdk. I added that BR fol the rest of the review.
As far as I know, all java packages need these BR's and R's:
   http://fedoraproject.org/wiki/Packaging:Java#BuildRequires_and_Requires

* Additionally, the guidelines tell us to include these R's for maven:
   http://fedoraproject.org/wiki/Packaging:Java#maven

* rpmlint says
   plexus-io.noarch: W: non-conffile-in-etc /etc/maven/fragments/plexus-io
Is this ignorable? Why?

! javadoc package does not require the main package. (just a warning. I don't know if this is intentional)

? Shouldn't the release tag just be 0.1.a5%{?dist}

! For macro consistency plexus-io can be replaced by %{name} at two places
Comment 2 Alexander Kurtakov 2009-12-23 09:18:56 EST
(In reply to comment #1)
> I made a full review. Here are my comments, questions etc:
> 
> * Package does not build in mock. It pulls gcj. We want openjdk. I added that
> BR fol the rest of the review.
> As far as I know, all java packages need these BR's and R's:
>    http://fedoraproject.org/wiki/Packaging:Java#BuildRequires_and_Requires
Fixed.
> 
> * Additionally, the guidelines tell us to include these R's for maven:
>    http://fedoraproject.org/wiki/Packaging:Java#maven
Fixed.

> 
> * rpmlint says
>    plexus-io.noarch: W: non-conffile-in-etc /etc/maven/fragments/plexus-io
> Is this ignorable? Why?
This is the place where mvn looks for fragments. And they are clearly non conffile because users should not edit them.
> 
> ! javadoc package does not require the main package. (just a warning. I don't
> know if this is intentional)
Perfectly ok. There are many times when you want to install just the javadoc for local reference and studing the API without any need to use it.

> 
> ? Shouldn't the release tag just be 0.1.a5%{?dist}
Fixed.

> 
> ! For macro consistency plexus-io can be replaced by %{name} at two places  
Fixed

Spec URL: http://akurtakov.fedorapeople.org/plexus-io.spec
SRPM URL: http://akurtakov.fedorapeople.org/plexus-io-1.0-0.2.a5.fc12.src.rpm
Comment 3 Orcan Ogetbil 2009-12-23 09:38:43 EST
Thanks! Good to go.

--------------------------------------------
This package (plexus-io) is APPROVED by oget
--------------------------------------------
Comment 4 Alexander Kurtakov 2009-12-23 09:42:15 EST
New Package CVS Request
=======================
Package Name: plexus-io
Short Description: Plexus IO Components
Owners: akurtakov
Branches: 
InitialCC:
Comment 5 Dennis Gilmore 2009-12-23 14:40:13 EST
CVS Done
Comment 6 Alexander Kurtakov 2009-12-28 02:59:25 EST
Built in rawhide.
http://koji.fedoraproject.org/koji/buildinfo?buildID=148397

Note You need to log in before you can comment on or make changes to this bug.